const NodeDescriptorType = {
    File: 'file',
    Directory: 'directory',
    Symlink: 'symlink',
}

const NodeModeType = {
    File: 33188,
    Directory: 16877,
    Symlink: 40960,
}

const DescriptorTypeXNodeType = {
    [NodeDescriptorType.File]: NodeModeType.File,
    [NodeDescriptorType.Directory]: NodeModeType.Directory,
    [NodeDescriptorType.Symlink]: NodeModeType.Symlink,
}

module.exports = exports = { NodeDescriptorType, NodeModeType, DescriptorTypeXNodeType }